Skip to main content
`Ctrl`+`K`

# PETSCVIEWERCGNS

A viewer for CGNS files

## Options Database Key

- -viewer_cgns_batch_size SIZE - set max number of output sequence times to write per batch

## Note

If the filename contains an integer format character, the CGNS viewer will created a batched output sequence. For example, one could use `-ts_monitor_solution cgns:flow-%d.cgns`. This is desirable if one wants to limit file sizes or if the job might crash/be killed by a resource manager before exiting cleanly.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerCreate()`, `VecView()`, `DMView()`, `PetscViewerFileSetName()`, `PetscViewerFileSetMode()`, `TSSetFromOptions()`

## Level

beginner

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages